> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Advanced Transfers

> List advanced transfers for a given portfolio. This API is currently not available to all clients. Please reach out to Prime Operations with any questions.



## OpenAPI

````yaml get /v1/portfolios/{portfolio_id}/advanced_transfers
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/advanced_transfers:
    get:
      tags:
        - Advanced Transfer
      summary: List Advanced Transfers
      description: >-
        List advanced transfers for a given portfolio. This API is currently not
        available to all clients. Please reach out to Prime Operations with any
        questions.
      operationId: PrimeRESTAPI_ListAdvancedTransfers
      parameters:
        - name: portfolio_id
          in: path
          description: The portfolio ID
          required: true
          schema:
            type: string
        - name: state
          in: query
          description: The state of the Advanced Transfer to filter by
          schema:
            type: string
            enum:
              - ADVANCED_TRANSFER_STATE_CREATED
              - ADVANCED_TRANSFER_STATE_PROCESSING
              - ADVANCED_TRANSFER_STATE_DONE
              - ADVANCED_TRANSFER_STATE_CANCELLED
              - ADVANCED_TRANSFER_STATE_FAILED
              - ADVANCED_TRANSFER_STATE_EXPIRED
        - name: type
          in: query
          description: The type of the Advanced Transfer to filter by
          schema:
            type: string
            enum:
              - ADVANCED_TRANSFER_TYPE_BLIND_MATCH
        - name: cursor
          in: query
          description: The cursor to use for pagination
          schema:
            type: string
        - name: limit
          in: query
          description: The maximum number of Advanced Transfers to return
          schema:
            type: integer
            format: int32
        - name: sort_direction
          in: query
          description: Page sorting direction
          schema:
            type: string
            default: DESC
            enum:
              - DESC
              - ASC
        - name: start_time
          in: query
          description: >-
            UTC timestamp of creation from which to filter the response
            (inclusive, ISO-8601 format)
          schema:
            type: string
            format: date-time
        - name: end_time
          in: query
          description: >-
            UTC timestamp of creation until which to filter the response
            (exclusive, ISO-8601 format)
          schema:
            type: string
            format: date-time
        - name: reference_id
          in: query
          description: The reference ID of the Advanced Transfer to filter by
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.ListAdvancedTransfersResponse
components:
  schemas:
    coinbase.public_rest_api.ListAdvancedTransfersResponse:
      required:
        - advanced_transfers
      type: object
      properties:
        advanced_transfers:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.AdvancedTransfer'
        pagination:
          $ref: '#/components/schemas/coinbase.public_rest_api.PaginatedResponse'
      description: >-
        ListAdvancedTransfersResponse contains the list of advanced transfers
        and pagination info.
    coinbase.public_rest_api.AdvancedTransfer:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.AdvancedTransferType'
        state:
          $ref: '#/components/schemas/coinbase.public_rest_api.AdvancedTransferState'
        fund_movements:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.FundMovement'
        blind_match_metadata:
          $ref: '#/components/schemas/coinbase.public_rest_api.BlindMatchMetadata'
      description: >-
        AdvancedTransfer represents a complex transfer operation such as a blind
        match settlement.
    coinbase.public_rest_api.PaginatedResponse:
      required:
        - has_next
        - next_cursor
        - sort_direction
      type: object
      properties:
        next_cursor:
          type: string
          description: Cursor to navigate to next page
        sort_direction:
          $ref: '#/components/schemas/coinbase.public_rest_api.SortDirection'
        has_next:
          type: boolean
          description: >-
            A boolean value indicating whether there are more items to paginate
            through
    coinbase.public_rest_api.AdvancedTransferType:
      type: string
      description: AdvancedTransferType specifies the type of advanced transfer.
      enum:
        - ADVANCED_TRANSFER_TYPE_BLIND_MATCH
    coinbase.public_rest_api.AdvancedTransferState:
      type: string
      description: >-
        AdvancedTransferState represents the lifecycle state of an advanced
        transfer.
      enum:
        - ADVANCED_TRANSFER_STATE_CREATED
        - ADVANCED_TRANSFER_STATE_PROCESSING
        - ADVANCED_TRANSFER_STATE_DONE
        - ADVANCED_TRANSFER_STATE_CANCELLED
        - ADVANCED_TRANSFER_STATE_FAILED
        - ADVANCED_TRANSFER_STATE_EXPIRED
    coinbase.public_rest_api.FundMovement:
      type: object
      properties:
        id:
          type: string
        source:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransferLocation'
        target:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransferLocation'
        currency:
          type: string
        amount:
          type: string
      description: >-
        FundMovement represents a single movement of funds between two
        counterparties.
    coinbase.public_rest_api.BlindMatchMetadata:
      type: object
      properties:
        reference_id:
          type: string
        settlement_date:
          type: string
          description: The intended time of Transfer settlement in YYYYMMDD format
        trade_date:
          type: string
          description: Optional date of the original Trade in YYYYMMMDD format
        settlement_time:
          type: string
          description: >-
            Optional time of transfer settlement in HHMM format in UTC. If not
            provided, it defaults to 09:30 Eastern Time.
      description: >-
        BlindMatchMetadata contains metadata specific to blind match advanced
        transfers.
    coinbase.public_rest_api.SortDirection:
      type: string
      default: DESC
      enum:
        - DESC
        - ASC
    coinbase.public_rest_api.TransferLocation:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.TransferLocationType'
        value:
          type: string
          description: >-
            The value of the transfer location: payment method ID, wallet ID or
            crypto address
          example: 0bf7bf1e-bafa-4d7e-9312-fa0bf3b63f27
        address:
          type: string
          description: The crypto address of the transfer location
          example: 6.6325114945411165e+47
        account_identifier:
          type: string
          description: >-
            The tag/memo of the address, if applicable -- required for certain
            assets (e.g. XRP, XLM, etc.)
          example: '387879289'
    coinbase.public_rest_api.TransferLocationType:
      title: |-
        - TRANSFER_LOCATION_TYPE_UNKNOWN: The nil value
         - PAYMENT_METHOD: The ID of a fiat payment method
         - WALLET: The ID of a wallet
         - ADDRESS: A cryptocurrency address
         - OTHER: Another type of transfer location: Blockchain Network, Coinbase
         - MULTIPLE_ADDRESSES: Multiple cryptocurrency addresses
         - COUNTERPARTY_ID: Counterparty ID
      type: string
      enum:
        - PAYMENT_METHOD
        - WALLET
        - ADDRESS
        - OTHER
        - MULTIPLE_ADDRESSES
        - COUNTERPARTY_ID

````